io.vertx.rxjava.ext.auth.oauth2.providers

## Class KeycloakAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.KeycloakAuth

-     public class KeycloakAuth
      extends Object

  Simplified factory to create an for Keycloak.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<KeycloakAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakAuth(KeycloakAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject config)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject config, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, OAuth2FlowType flow, JsonObject config)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, OAuth2FlowType flow, JsonObject config, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Keycloak
    `KeycloakAuth` | `getDelegate()`
    `static KeycloakAuth` | `newInstance(KeycloakAuth arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<KeycloakAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### KeycloakAuth

          public KeycloakAuth(KeycloakAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public KeycloakAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          JsonObject config)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `config` - the json config file exported from Keycloak admin console
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          OAuth2FlowType flow,
                                          JsonObject config)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `flow` - the oauth2 flow to use
        `config` - the json config file exported from Keycloak admin console
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          JsonObject config,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `config` - the json config file exported from Keycloak admin console
        `httpClientOptions` - custom http client options
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          OAuth2FlowType flow,
                                          JsonObject config,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `flow` - the oauth2 flow to use
        `config` - the json config file exported from Keycloak admin console
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static KeycloakAuth newInstance(KeycloakAuth arg)

Copyright © 2017. All rights reserved.